> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://ref.scoutos.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ref.scoutos.com/_mcp/server.

# Get a table by ID.

GET https://api.scoutos.com/v2/collections/{collection_id}/tables/{table_id}

Reference: https://ref.scoutos.com/api-sdk/endpoints/tables/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `collection_id` (string, required)
- `table_id` (string, required)

## Response

### 200

Successful Response

- `data` (Table, optional, nullable)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### Table

- `table_config` (TableConfig, required)
- `created_by` (LegacyIdentity, required)
- `last_updated_by` (LegacyIdentity, required)
- `revision_id` (string, required)
- `table_id` (string, required)
- `index_id` (string, required, nullable)
- `created_at` (datetime, optional)
- `last_updated_at` (datetime, optional)
- `collection_id` (string, optional, nullable)
- `documents_uploading` (boolean, optional, default: false)
- `migrated` (boolean, optional, default: false)
- `agent_table_id` (string, optional, nullable)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### TableConfig

- `table_display_name` (string, optional, default: Untitled)
- `table_img_url` (string, optional, nullable)
- `table_description` (string, optional, nullable)
- `schema` (list of TableConfigSchemaItems, optional, nullable)
- `icon_emoji` (string, optional, nullable)
- `icon_asset_url` (string, optional, nullable)
- `icon_fill` (string, optional, nullable)
- `plural_name` (string, optional, nullable)

### LegacyIdentity

- `type` (enum, required)
  - Allowed values: `user`, `api_key`, `system`
- `details` (LegacyIdentityDetails, required, nullable)

### ValidationErrorLocItems

### TableConfigSchemaItems

### LegacyIdentityDetails

### CheckBoxColumn

- `column_id` (string, optional)
- `column_display_name` (string, optional, nullable)
- `column_type` ("checkbox", optional)
- `data_type` ("boolean", optional)
- `hidden` (boolean, optional, default: false)
- `automation_config` (CheckBoxColumnAutomationConfig, optional, nullable) — Optional automation configuration to automatically calculate values for this column
- `default` (boolean, optional, default: false)

### JsonColumn

- `column_id` (string, optional)
- `column_display_name` (string, optional, nullable)
- `column_type` ("json", optional)
- `data_type` ("string", optional)
- `hidden` (boolean, optional, default: false)
- `automation_config` (JsonColumnAutomationConfig, optional, nullable) — Optional automation configuration to automatically calculate values for this column
- `default` (string, optional, nullable)

### NumberColumn

- `column_id` (string, optional)
- `column_display_name` (string, optional, nullable)
- `column_type` ("number", optional)
- `data_type` ("number", optional)
- `hidden` (boolean, optional, default: false)
- `automation_config` (NumberColumnAutomationConfig, optional, nullable) — Optional automation configuration to automatically calculate values for this column
- `default` (NumberColumnDefault, optional, nullable)
- `min_value` (NumberColumnMinValue, optional, nullable)
- `max_value` (NumberColumnMaxValue, optional, nullable)

### SelectColumn

- `column_id` (string, optional)
- `column_display_name` (string, optional, nullable)
- `column_type` ("select", optional)
- `data_type` ("string", optional)
- `hidden` (boolean, optional, default: false)
- `automation_config` (SelectColumnAutomationConfig, optional, nullable) — Optional automation configuration to automatically calculate values for this column
- `options` (list of SelectOptionItem, optional, nullable) — Available options for selection

### MultiSelectColumn

- `column_id` (string, optional)
- `column_display_name` (string, optional, nullable)
- `column_type` ("multi-select", optional)
- `data_type` ("string[]", optional)
- `hidden` (boolean, optional, default: false)
- `automation_config` (MultiSelectColumnAutomationConfig, optional, nullable) — Optional automation configuration to automatically calculate values for this column
- `options` (list of SelectOptionItem, optional, nullable) — Available options for selection

### TextShortColumn

- `column_id` (string, optional)
- `column_display_name` (string, optional, nullable)
- `column_type` ("text-short", optional)
- `data_type` ("string", optional)
- `hidden` (boolean, optional, default: false)
- `automation_config` (TextShortColumnAutomationConfig, optional, nullable) — Optional automation configuration to automatically calculate values for this column
- `default` (string, optional, nullable)

### TextLongColumn

- `column_id` (string, optional)
- `column_display_name` (string, optional, nullable)
- `column_type` ("text-long", optional)
- `data_type` ("string", optional)
- `hidden` (boolean, optional, default: false)
- `automation_config` (TextLongColumnAutomationConfig, optional, nullable) — Optional automation configuration to automatically calculate values for this column
- `default` (string, optional, nullable)

### DateTimeColumn

- `column_id` (string, optional)
- `column_display_name` (string, optional, nullable)
- `column_type` ("datetime", optional)
- `data_type` ("datetime", optional)
- `hidden` (boolean, optional, default: false)
- `automation_config` (DateTimeColumnAutomationConfig, optional, nullable) — Optional automation configuration to automatically calculate values for this column
- `default` (datetime, optional, nullable)
- `include_time` (boolean, optional, default: false)
- `date_format` (enum, optional, default: full)
  - Allowed values: `full`, `short`, `iso`, `european`, `relative`
- `time_format` (enum, optional, nullable)
  - Allowed values: `12h`, `24h`, `24h_seconds`
- `time_zone` (string, optional, nullable)

### UrlColumn

- `column_id` (string, optional)
- `column_display_name` (string, optional, nullable)
- `column_type` ("url", optional)
- `data_type` ("string", optional)
- `hidden` (boolean, optional, default: false)
- `automation_config` (UrlColumnAutomationConfig, optional, nullable) — Optional automation configuration to automatically calculate values for this column
- `default` (string, optional, nullable)

### MarkdownColumn

- `column_id` (string, optional)
- `column_display_name` (string, optional, nullable)
- `column_type` ("markdown", optional)
- `data_type` ("string", optional)
- `hidden` (boolean, optional, default: false)
- `automation_config` (MarkdownColumnAutomationConfig, optional, nullable) — Optional automation configuration to automatically calculate values for this column
- `default` (string, optional, nullable)

### RelationColumn

- `target_table_id` (string, required)
- `column_id` (string, optional)
- `column_display_name` (string, optional, nullable)
- `column_type` ("relation", optional)
- `data_type` ("string", optional)
- `hidden` (boolean, optional, default: false)
- `automation_config` (RelationColumnAutomationConfig, optional, nullable) — Optional automation configuration to automatically calculate values for this column
- `target_collection_id` (string, optional, nullable)
- `display_field` (string, optional, nullable)

### PeopleColumn

- `column_id` (string, optional)
- `column_display_name` (string, optional, nullable)
- `column_type` ("people", optional)
- `data_type` ("string[]", optional)
- `hidden` (boolean, optional, default: false)
- `automation_config` (PeopleColumnAutomationConfig, optional, nullable) — Optional automation configuration to automatically calculate values for this column
- `allow_multiple` (boolean, optional, default: false)
- `options` (list of SelectOptionItem, optional, nullable) — Some available options and their configurations. Options are hydrated client side from the user's organization members.

### UserIdentityDetails

- `user_id` (string, required)
- `org_id` (string, required)
- `scout_organization_id` (string, required)
- `email` (map from string to any, required)

### ApiKeyIdentityDetails

- `api_key` (map from string to any, optional)

### CheckBoxColumnAutomationConfig

Optional automation configuration to automatically calculate values for this column

### JsonColumnAutomationConfig

Optional automation configuration to automatically calculate values for this column

### NumberColumnAutomationConfig

Optional automation configuration to automatically calculate values for this column

### NumberColumnDefault

### NumberColumnMinValue

### NumberColumnMaxValue

### SelectColumnAutomationConfig

Optional automation configuration to automatically calculate values for this column

### SelectOptionItem

- `name` (string, required)
- `id` (string, optional)
- `color_hex` (string, optional, nullable)

### MultiSelectColumnAutomationConfig

Optional automation configuration to automatically calculate values for this column

### TextShortColumnAutomationConfig

Optional automation configuration to automatically calculate values for this column

### TextLongColumnAutomationConfig

Optional automation configuration to automatically calculate values for this column

### DateTimeColumnAutomationConfig

Optional automation configuration to automatically calculate values for this column

### UrlColumnAutomationConfig

Optional automation configuration to automatically calculate values for this column

### MarkdownColumnAutomationConfig

Optional automation configuration to automatically calculate values for this column

### RelationColumnAutomationConfig

Optional automation configuration to automatically calculate values for this column

### PeopleColumnAutomationConfig

Optional automation configuration to automatically calculate values for this column

### TypescriptAutomationConfig

TypeScript function-based automation

- `function` (string, required) — TypeScript function code
- `mode` ("typescript", optional)
- `button_text` (string, optional, nullable) — Custom text for the run button
- `executing_text` (string, optional, nullable) — Custom text while executing

## Examples

**Response**

```json
{
  "data": {
    "table_config": {
      "table_display_name": "Project Tasks",
      "table_img_url": "https://example.com/images/project-tasks.png",
      "table_description": "A table containing all tasks related to the current project.",
      "schema": [
        {
          "column_id": "col-1234",
          "column_display_name": "Completed",
          "column_type": "checkbox",
          "data_type": "boolean",
          "hidden": false,
          "automation_config": {
            "mode": "typescript",
            "button_text": "Mark Complete",
            "executing_text": "Completing...",
            "function": "function markComplete(row) { row.completed = true; }"
          },
          "default": false
        }
      ],
      "icon_emoji": "🗂️",
      "icon_asset_url": "https://example.com/icons/tasks-icon.svg",
      "icon_fill": "#4A90E2",
      "plural_name": "Tasks"
    },
    "created_by": {
      "type": "user",
      "details": {
        "api_key": {}
      }
    },
    "last_updated_by": {
      "type": "user",
      "details": {
        "api_key": {}
      }
    },
    "revision_id": "rev-7890abcd",
    "table_id": "tbl-4567efgh",
    "index_id": "idx-1234abcd",
    "created_at": "2024-01-15T09:30:00Z",
    "last_updated_at": "2024-01-15T09:30:00Z",
    "collection_id": "col-9876wxyz",
    "documents_uploading": false,
    "migrated": false,
    "agent_table_id": "agent-tbl-0012"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.scoutos.com/v2/collections/collection_id/tables/table_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```typescript
import { ScoutClient } from "scoutos";

const client = new ScoutClient({ apiKey: "YOUR_API_KEY" });
await client.tables.get("collection_id", "table_id");

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.scoutos.com/v2/collections/collection_id/tables/table_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.scoutos.com/v2/collections/collection_id/tables/table_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.scoutos.com/v2/collections/collection_id/tables/table_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.scoutos.com/v2/collections/collection_id/tables/table_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.scoutos.com/v2/collections/collection_id/tables/table_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.scoutos.com/v2/collections/collection_id/tables/table_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```